Skip to content

Check App Hosting Availability

GET
/deployments/app-hosting/availability
curl --request GET \
--url 'https://api.mengi.cloud/deployments/app-hosting/availability?provider=example&region=example'

Check if App Hosting is available for the given provider/region.

App Hosting deployments run on vClusters which require a host cluster. This endpoint checks if a host cluster exists and is ready.

provider
required
Provider
string
region
required
Region
string

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}